.navitem {
  position: relative;
  background: transparent;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
  padding-left: 32px;
  cursor: pointer;

  &--urlActive.navitem--branch {
    &::after {
      content: "";
      position: absolute;
      display: block;
      top: 25px;
      left: 16px;
      height: 6px;
      width: 6px;
      border-radius: 50%;
      border: none;
      background: #2E78E8;
    }
  }

  &--urlActive:not(.navitem--branch) {
    &::after {
      content: "";
      z-index: 0;
      position: absolute;
      top: 0;
      right: 0;
      left: auto;
      width: calc(100% - 4px);
      display: block;
      height: 56px;
      background: #E7F0F2;
      border-left: #2E78E8 4px solid;
      border-radius: 0;
      transition: 0.2s ease all;
    }
  }

  
  &--child {
    padding-left: 16px;
    &::after {
      left: 0px !important;
    }
  }


  &--branch {
    &::before {
      content: "";
      position: absolute;
      top: 20px;
      right: 20px;
      height: 16px;
      width: 16px;
      background: url(/images/icons/chevron-bottom.svg);
      transform: rotateZ(-90deg);
      display: block;
      z-index: 1;
      transition: 0.2s ease all;
    }
  }

  &--active {
    &::before {
      transform: rotateZ(0);
    }
  }

  &__inner {
    width: 100%;
  }

  span {
    position: relative;
    display: flex;
    align-items: center;
    height: 56px;
    z-index: 1;
  }
}